Developer Portal
InsightsPurpleTRACMTIPodium
Other
Other
  • Weather
InsightsPurpleTRACMTIPodium
Other
Other
  • Weather
  1. Podium
  • Overview
  • Podium Authentication
  • Podium Metric I/O
  • Extract Timeline Fields
    POST
  • Timeline Info for All
    GET
  • Timeline Info by IMO
    GET
  • Schemas
    • GlueExtractResponseBody
    • TimelineInfoAllResponseBody
    • TimelineInfoByIMOResponseBody
  1. Podium

Timeline Info for All

Production
https://aviso-api.stratumfive.com
Production
https://aviso-api.stratumfive.com
GET
https://aviso-api.stratumfive.com
/api/tmln/v2/cf/timeline/info
Calling this endpoint with your security credentials will return the complete set of timelines for every vessel in Podium associated with the account

Request

Query Params

Responses

🟢200OK
application/json
OK
Bodyapplication/json

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://aviso-api.stratumfive.com/api/tmln/v2/cf/timeline/info?includeChanges=true&changesSince=2024-01-01T00%3A00%3A00.000Z'
Response Response Example
{
    "tmlnInfoGroups": [],
    "tmlnInfoSet": [
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12345",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#ais_spire#4243126#n#0"
            },
            "tmlnDatasource": "ais_spire",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-20T14:04:19.000Z",
                "minTimestamp": "2025-01-24T00:11:44.000Z",
                "totalTimestamps": 2397
            },
            "vesselIMO": 9123456,
            "vesselName": "Vessel Alpha"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12345",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#glue#4243126#n#0"
            },
            "tmlnDatasource": "glue",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-21T09:00:00.000Z",
                "minTimestamp": "2023-01-01T11:00:00.000Z",
                "totalTimestamps": 1117
            },
            "vesselIMO": 9123456,
            "vesselName": "Vessel Alpha"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12345",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#inm_c#4243126#n#0"
            },
            "tmlnDatasource": "inm_c",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-19T19:00:01.104Z",
                "minTimestamp": "2025-02-03T23:46:27.262Z",
                "totalTimestamps": 172
            },
            "vesselIMO": 9123456,
            "vesselName": "Vessel Alpha"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12345",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#otis#4243126#n#0"
            },
            "tmlnDatasource": "otis",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-12T21:06:00.000Z",
                "minTimestamp": "2021-10-28T13:11:59.000Z",
                "totalTimestamps": 162115
            },
            "vesselIMO": 9123456,
            "vesselName": "Vessel Alpha"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12345",
            "tmlnChanges": {
                "changes": [
                    {
                        "day": "2025-01-11T00:00:00.000Z"
                    }
                ],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ndr#default#4243126#n#0"
            },
            "tmlnDatasource": "default",
            "tmlnSeriesType": "ndr",
            "tmlnStats": {
                "maxTimestamp": "2025-03-21T09:00:00.000Z",
                "minTimestamp": "2021-11-24T04:00:00.000Z",
                "totalTimestamps": 1585
            },
            "vesselIMO": 9123456,
            "vesselName": "Vessel Alpha"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12345",
            "tmlnChanges": {
                "changes": [
                    {
                        "day": "2025-01-12T00:00:00.000Z"
                    },
                    {
                        "day": "2025-01-13T00:00:00.000Z"
                    }
                ],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#voyage_rpt_summary#default#4243126#n#0"
            },
            "tmlnDatasource": "default",
            "tmlnSeriesType": "voyage_rpt_summary",
            "tmlnStats": {
                "maxTimestamp": "2024-12-31T06:24:00.000Z",
                "minTimestamp": "2024-01-01T19:12:00.000Z",
                "totalTimestamps": 825
            },
            "vesselIMO": 9123456,
            "vesselName": "Vessel Alpha"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12346",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#ais_spire#4243126#n#0"
            },
            "tmlnDatasource": "ais_spire",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-20T14:04:19.000Z",
                "minTimestamp": "2025-01-24T00:11:44.000Z",
                "totalTimestamps": 2397
            },
            "vesselIMO": 9123457,
            "vesselName": "Vessel Beta"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12346",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#glue#4243126#n#0"
            },
            "tmlnDatasource": "glue",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-21T09:00:00.000Z",
                "minTimestamp": "2023-01-01T11:00:00.000Z",
                "totalTimestamps": 1117
            },
            "vesselIMO": 9123457,
            "vesselName": "Vessel Beta"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12346",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#inm_c#4243126#n#0"
            },
            "tmlnDatasource": "inm_c",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-19T19:00:01.104Z",
                "minTimestamp": "2025-02-03T23:46:27.262Z",
                "totalTimestamps": 172
            },
            "vesselIMO": 9123457,
            "vesselName": "Vessel Beta"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12346",
            "tmlnChanges": {
                "changes": [],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ingested#otis#4243126#n#0"
            },
            "tmlnDatasource": "otis",
            "tmlnSeriesType": "ingested",
            "tmlnStats": {
                "maxTimestamp": "2025-03-12T21:06:00.000Z",
                "minTimestamp": "2021-10-28T13:11:59.000Z",
                "totalTimestamps": 162115
            },
            "vesselIMO": 9123457,
            "vesselName": "Vessel Beta"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12346",
            "tmlnChanges": {
                "changes": [
                    {
                        "day": "2025-01-11T00:00:00.000Z"
                    }
                ],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#ndr#default#4243126#n#0"
            },
            "tmlnDatasource": "default",
            "tmlnSeriesType": "ndr",
            "tmlnStats": {
                "maxTimestamp": "2025-03-21T09:00:00.000Z",
                "minTimestamp": "2021-11-24T04:00:00.000Z",
                "totalTimestamps": 1585
            },
            "vesselIMO": 9123457,
            "vesselName": "Vessel Beta"
        },
        {
            "accountId": "501f0976-z244-4058-b572-24c34babc8e1",
            "entityId": "12346",
            "tmlnChanges": {
                "changes": [
                    {
                        "day": "2025-01-12T00:00:00.000Z"
                    },
                    {
                        "day": "2025-01-13T00:00:00.000Z"
                    }
                ],
                "changesSince": "2024-01-01T00:00:00.000Z",
                "tmlnKey": "501f0875-a244-4058-b572-24c34bfce8e1#voyage_rpt_summary#default#4243126#n#0"
            },
            "tmlnDatasource": "default",
            "tmlnSeriesType": "voyage_rpt_summary",
            "tmlnStats": {
                "maxTimestamp": "2024-12-31T06:24:00.000Z",
                "minTimestamp": "2024-01-01T19:12:00.000Z",
                "totalTimestamps": 825
            },
            "vesselIMO": 9123457,
            "vesselName": "Vessel Beta"
        }
    ]
}
Modified at 2026-09-22 15:10:36
Previous
Extract Timeline Fields
Next
Timeline Info by IMO
Built with